<?php

namespace ShopManagerPro\Products\Fields\DTO\ProductAttributes;

use ShopManagerPro\Products\Fields\DTO\ProductField;

class ProductAttributeField implements ProductField {
	public function __construct(public readonly string $key, public readonly string $name, public readonly array $terms) {
	}

	public function key(): string {
		return ProductAttributeFieldGroup::KEY.self::FIELD_TYPE_SEPARATOR.$this->key;
	}
}
